## org.codehaus.groovy.grails.commons.metaclass
Class DynamicMethodsExpandoMetaClass.DynamicExpandoMetaProperty

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.commons.metaclass.DynamicMethodsExpandoMetaClass.DynamicExpandoMetaProperty

All Implemented Interfaces:
  groovy.lang.GroovyObject

Enclosing class:
  DynamicMethodsExpandoMetaClass

     class DynamicMethodsExpandoMetaClass.DynamicExpandoMetaProperty

extends groovy.lang.GroovyObjectSupport

Wraps an existing ExpandoMetaBeanProperty and interceptors methods registration to check if the specified method addition is a regex method

Method Summary
`Object` `leftShift(Object arg)`
`void` `setProperty(String property, Object newValue)`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### leftShift

    public Object leftShift(Object arg)

### setProperty

    public void setProperty(String property,
                            Object newValue)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project